<template>
  <v-card
    class="mx-auto"
    :max-width="maxWidth"
    elevation="0"
  >
    <v-list-item two-line>
      <v-list-item-content>
        <div class="text-overline mb-0 new" align="center">
          {{ this.subTitle }}
        </div>
        <v-list-item-title class="text-h4 mb-1" align="center">
          {{ this.value }}
        </v-list-item-title>
        <v-list-item-subtitle align="center">
          <span v-if="up" class="primary--text">+ {{ this.text }} {{ this.rate }}%
            <v-icon color="primary">
              mdi-chevron-up
            </v-icon>
          </span>
          <span v-else style="color:#7CBDF1">- {{ this.text }} {{ this.rate }}%
            <v-icon color="#7CBDF1">
              mdi-chevron-down
            </v-icon>
          </span>
        </v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>
  </v-card>
</template>

<script>
export default {
  name: 'ProgressRate',
  props: {
    'subTitle': { default: '', type: String },
    'text': { default: '', type: String },
    'value': { default: 1, type: Number },
    'rate': { default: 1, type: Number },
    'up': { default: true, type: Boolean },
    'maxWidth': { default: 300, type: Number },
  },
  data() {
    return {
    };
  },
};
</script>

<style scoped>
.new{
  line-height: 1rem;
}
</style>
